xmms crash

Matt Zimmerman mdz at canonical.com
Thu Sep 23 17:19:02 UTC 2004

On Thu, Sep 23, 2004 at 03:49:54PM +0100, Mark wrote:

> Matt Zimmerman wrote:
> >No, the bug is the error after that.  That message is quite normal (if
> >disconcerting), and libmikmod2 is not required for xmms to work.
> ok, I tend to find if a program is missing a shared lib, it generally 
> doesn't want to run (not always, but in my experiance), and instaling 
> that, it usualy does the trick.

This situation is different.  xmms has a plugin architecture, and it is only
a particular plugin which requires the mikmod library.  xmms tries to load
that plugin, which fails because the library is not present, and it gets on
with its life.  Try it.  I use xmms all the time without libmikmod2
installed, and I would love to find a way to reproduce this bug.

 - mdz

More information about the ubuntu-users mailing list